> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List tunnels

> Lists active tunnels for a sandbox

Lists active tunnels for a sandbox

### Path parameters

<ParamField path="sandboxId" type="string (uuid)" required>
  Unique sandbox identifier
</ParamField>

### Response

`TunnelListResponse`

<ResponseField name="tunnels" type="Tunnel[]">
  <Expandable title="Tunnel">
    <ResponseField name="tunnel_id" type="string" />

    <ResponseField name="sandbox_id" type="string" />

    <ResponseField name="port" type="integer" />

    <ResponseField name="protocol" type="string" />

    <ResponseField name="url" type="string" />

    <ResponseField name="expires_at" type="string (date-time)" />

    <ResponseField name="token" type="string" />
  </Expandable>
</ResponseField>

### Status codes

| Code  | Meaning     |
| ----- | ----------- |
| `200` | Tunnel list |
| `401` | —           |
| `404` | —           |

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.sandbox.stateset.app/api/v1/sandbox/{sandboxId}/tunnels' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "tunnels": [
      {
        "tunnel_id": "string",
        "sandbox_id": "string",
        "port": 1,
        "protocol": "string",
        "url": "string",
        "expires_at": "2026-07-24T12:00:00Z",
        "token": "string"
      }
    ]
  }
  ```
</ResponseExample>
